local module = {}

local function setup(this,mesh,context)
	this.mesh.MeshId = string.format("rbxassetid://%i",this.meshid.Value)
	this.mesh.TextureId = string.format("rbxassetid://%i",this.textureid.Value)
	this.mesh.Scale = mesh.Size * this.scale.Value
end

function module.new(this,mesh,context)
	this.meshid = _G.GetInstance(mesh,"MeshId")
	this.textureid = _G.GetInstance(mesh,"TextureId")
	this.scale = _G.GetInstance(mesh,"Scale")
	this.mesh = _G.GetInstance(mesh,"Mesh")
	setup(this,mesh,context)
	return this
end

function module.update(this,mesh,context)
	setup(this,mesh,context)
end

module.manifest = {
	"Prop"
}

return module
